
package de.ivu.elect.presentation.wahl;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;
import de.ivu.elect.presentation.wahl.form.WahlParameterSearchFormBuilder;

@OnlineHilfeId(value = "636", mehrfachVergebenOk = true)
@Named(AbstractWahlParameterSearchView.COMPONENT_NAME)
public class WahlParameterSearchView extends AbstractWahlParameterSearchView {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlParameterSearchFormBuilder wahlParameterSearchFormBuilder;

  public WahlParameterSearchView() {
    super();
  }

  @Override
  public int getDefaultPageSize() {
    return getPageSizeShowAll();
  }

  @Override
  protected AbstractGebietSecurityFilter<WahlParameter> getGebietSecurityFilter() {
    return KEIN_GEBIET_SECURITY_FILTER;
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    wahlParameterSearchFormBuilder.addProperties(formBuilder, getSearchParameters());
  }

  @Override
  public void presetSearchParameters() {
    // Do nothing
  }

  @Override
  public void resetSearchParametersModel() {
    // Do nothing
  }

  @Override
  public boolean isBtnGoBackRendered() {
    return super.isBtnGoBackRendered() || viewStackContainsOtherViewsAndShouldNotReset();
  }
}
